source("1_fetch/src/fetch_utils.R")

p1_targets <- list(
  ##### Vulnerability indicators data #####
  tar_target(p1_sb_id,
             '63f79d49d34e4f7eda456572'),
  ##### Vulnerability indicators metadata #####
  tar_target(p1_vul_ind_xml,
             download_from_sb(sb_id = p1_sb_id,
                              filename = 'Uncertainty_Summary.xml',
                              dest_dir = '1_fetch/out'),
             format = 'file'),
  ##### Uncertainty statistics for the indicators #####
  tar_target(p1_unc_stats_csv,
             download_from_sb(sb_id = p1_sb_id,
                              filename = 'Uncertainty_Summary.csv',
                              dest_dir = '1_fetch/out'),
             format = 'file'),
  tar_target(p1_unc_stats,
             readr::read_csv(p1_unc_stats_csv) |> 
               janitor::clean_names()
             ),
  tar_target(p1_census_states,
             c('Washington', 'Oregon', 'California', 'Idaho', 'Nevada',
               'Utah', 'Arizona', 'Montana', 'Wyoming', 'Colorado',
               'New Mexico', 'North Dakota', 'South Dakota', 'Nebraska', 'Kansas',
               'Oklahoma', 'Texas', 'Minnesota', 'Iowa', 'Missouri',
               'Arkansas', 'Louisiana')),
  tar_target(p1_proj,
             'EPSG:5070'),
  tar_target(p1_conus_sf,
             tigris::states(cb = TRUE) |> 
               st_transform(p1_proj) |> 
               mutate(group = case_when(
                 STUSPS %in% c(state.abb[!state.abb %in% c('AK', 'HI')], 'DC') ~ 'CONUS',
                 STUSPS %in% c('GU', 'MP') ~ 'GU_MP',
                 STUSPS %in% c('PR', 'VI') ~ 'PR_VI',
                 TRUE ~ STUSPS
               )) |> 
               filter(group %in% c('CONUS')) |> 
               rmapshaper::ms_simplify(keep = 0.2) |> 
               filter(NAME %in% p1_census_states))
  )