library(targets)
library(tarchetypes) # need version >= 0.6.0.9000

options(tidyverse.quiet = TRUE, timeout = 800)
tar_option_set(packages = c('tidyverse',
                            'sf',
                            'ggraph', 
                            'tidygraph',
                            'janitor',
                            'sbtools',
                            'tidycensus',
                            'tigris',
                            'sysfonts',
                            'showtext',
                            'readr',
                            'cowplot',
                            'rmapshaper',
                            'jsonlite'))

# Phase target makefiles
source("0_config.R")
source("1_fetch.R")
source("2_process.R")
source("3_visualize.R")

# Combined list of target outputs
c(p0_targets,
  p1_targets,
  p2_targets,
  p3_targets
)