import './assets/main.css'

import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import i18n, { setLocale } from './i18n';
import { createPinia } from 'pinia';
import VueUswds from "vue-uswds";
import { library } from "@fortawesome/fontawesome-svg-core";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";


// social icons
import { faSquareXTwitter, faFacebookSquare, faGithub, faFlickr, faYoutubeSquare, faInstagram } from "@fortawesome/free-brands-svg-icons";
library.add(faSquareXTwitter, faFacebookSquare, faGithub, faFlickr, faYoutubeSquare, faInstagram);

// Initialize app
async function initApp() {
  // Set the initial locale based on the user's browser language
  await setLocale(i18n.global.locale.value);

    const app = createApp(App);

    app.use(i18n);
    app.use(createPinia());
    app.use(VueUswds);
    app.use(router);
    app.component("FontAwesomeIcon", FontAwesomeIcon);
    app.mount('#app');
  }
  
initApp();
